# class List

###

Module | kio
Namespace | KMountPoint
Class | List
Inherits |

List of mount points.

### methods

- List ( )

  returns ctor

- findByDevice (device)

  returns KMountPoint.Ptr

  Argument | Type | Default
  --- | --- | ---
  device | QString |

  Returns the mount point associated with device, i.e. the one where mountedFrom() == device (after symlink resolution). Returns the mountpoint, or 0 if this device doesn't exist or isn't mounted

- findByPath (path)

  returns KMountPoint.Ptr

  Argument | Type | Default
  --- | --- | ---
  path | QString |

  Find the mountpoint on which resides path For instance if /home is a separate partition, findByPath("/home/user/blah") will return /home

  path - the path to check Returns the mount point of the given file